Skip to main content
DELETE
https://api.onstacks.io
/
v1
/
address-book
/
{entryId}
Archive address book entry
curl --request DELETE \
  --url https://api.onstacks.io/v1/address-book/{entryId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "entry": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "label": "<string>",
      "address": "<string>",
      "network_code": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "created_by": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "display_name": "<string>"
      },
      "asset_symbol": "<string>",
      "notes": "<string>",
      "archived_at": "2023-11-07T05:31:56Z"
    }
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Path Parameters

entryId
string<uuid>
required

Response

Address book entry archived

data
object
required
error
null
required
request_id
string
required